Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nouveau, NVRM: No NVIDIA graphics adapter probed!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
afx44
n00b
n00b


Joined: 18 Mar 2014
Posts: 18

PostPosted: Tue Mar 18, 2014 4:07 pm    Post subject: nouveau, NVRM: No NVIDIA graphics adapter probed! Reply with quote

I need to start Xserver, I compiled kernel with nouveau, did all following this manual: https://wiki.gentoo.org/wiki/Xorg/Configuration
But I got error:
dmesg:
Code:

 NVRM: The NVIDIA probe routine was not called for 1 device(s).
[ 2384.985645] NVRM: This can occur when a driver such as nouveau, rivafb,
NVRM: nvidiafb, or rivatv was loaded and obtained ownership of
NVRM: the NVIDIA device(s).
[ 2384.985648] NVRM: Try unloading the conflicting kernel module (and/or
NVRM: reconfigure your kernel without the conflicting
NVRM: driver(s)), then try loading the NVIDIA kernel module
NVRM: again.
[ 2384.985651] NVRM: No NVIDIA graphics adapter probed!
[ 3158.200219] NVRM: The NVIDIA probe routine was not called for 1 device(s).
[ 3158.200223] NVRM: This can occur when a driver such as nouveau, rivafb,
NVRM: nvidiafb, or rivatv was loaded and obtained ownership of
NVRM: the NVIDIA device(s).
[ 3158.200226] NVRM: Try unloading the conflicting kernel module (and/or
NVRM: reconfigure your kernel without the conflicting
NVRM: driver(s)), then try loading the NVIDIA kernel module
NVRM: again.
[ 3158.200230] NVRM: No NVIDIA graphics adapter probed!

lspci -k
Code:

01:00.0 VGA compatible controller: NVIDIA Corporation G73 [GeForce 7600 GT] (rev a1)
        Kernel driver in use: nouveau
        Kernel modules: nvidia

/etc/portage/make.conf
Code:

CFLAGS="-O2 -march=i686 -pipe"
CXXFLAGS="${CFLAGS}"
CHOST="i486-pc-linux-gnu"
USE="bindist python xa libkms hal X tools qt3support gbm video_cards_vmware video_cards_radeon"
MAKEOPTS="-j2"
INPUT_DEVICES="evdev"
ACCEPT_KEYWORDS="~x86"
VIDEO_CARDS="nouveau"

What's wrong? Thank you
Back to top
View user's profile Send private message
Sansavarous
n00b
n00b


Joined: 15 Feb 2004
Posts: 22
Location: My computer.

PostPosted: Tue Mar 18, 2014 4:53 pm    Post subject: Reply with quote

I had something similar happen, be sure you disable any FB drivers in the kernel. Keep the frame buffer enabled just don't choose any driver for FB. Looking at the guild you probably did, I should have used that guide it's pretty good.

What kernel version are you using?

When you built the kernel did you set nouveau as a module or build it in the kernel?
Back to top
View user's profile Send private message
Mistwolf
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2007
Posts: 126
Location: Edmonton, AB

PostPosted: Wed Mar 19, 2014 2:10 am    Post subject: Reply with quote

your lspci shows that it is loading the nvidia drivers, not just the nouveau drivers. Uninstall the nvidia drivers or mask the modules.

Here is my lspci -k

Code:
02:00.0 VGA compatible controller: NVIDIA Corporation G92 [GeForce 9800 GT] (rev a2)
   Subsystem: eVga.com. Corp. Device c973
   Kernel driver in use: nouveau
   Kernel modules: nouveau


Edit: after checking my xorg log, it has no NVRM lines. Those lines are from the nvidia drivers trying to load after the nouveau drivers are loaded.
Back to top
View user's profile Send private message
afx44
n00b
n00b


Joined: 18 Mar 2014
Posts: 18

PostPosted: Wed Mar 19, 2014 7:31 am    Post subject: Reply with quote

uname -a
Code:

Linux runat 3.8.13 #10 SMP Tue Mar 18 18:27:44 MSK 2014 i686 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz GenuineIntel GNU/Linux

nouveau was included in kernel (static)
no modules are loaded
lsmod:
Code:

Module                  Size  Used by

no nvidia drivers were installed
emerge -pev world | grep nvidia
Code:

[ebuild   R    ] x11-base/xorg-drivers-1.15  INPUT_DEVICES="evdev -acecad -aiptek -elographics -fpit -hyperpen -joystick -keyboard -mouse -mutouch -penmount -synaptics -tslib -vmmouse -void -wacom" VIDEO_CARDS="nouveau -apm -ast -chips -cirrus -dummy -epson -fbdev -fglrx (-freedreno) -geode -glint -i128 -i740 -intel -mach64 -mga -modesetting -neomagic -nv -nvidia (-omap) (-omapfb) -qxl -r128 -radeon -radeonsi -rendition -s3virge -savage -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vesa -via -virtualbox -vmware (-voodoo)" 0 kB

grep -i 'nvidia\|frame\|nouveau' .config
Code:

CONFIG_SCHED_OMIT_FRAME_POINTER=y
CONFIG_NET_VENDOR_NVIDIA=y
CONFIG_AGP_NVIDIA=y
CONFIG_DRM_NOUVEAU=y
CONFIG_NOUVEAU_DEBUG=5
CONFIG_NOUVEAU_DEBUG_DEFAULT=3
CONFIG_DRM_NOUVEAU_BACKLIGHT=y
# Frame buffer hardware drivers
# CONFIG_FB_NVIDIA is not set
CONFIG_FRAMEBUFFER_CONSOLE=y
CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=y
# CONFIG_FRAMEBUFFER_CONSOLE_ROTATION is not set
CONFIG_FRAME_WARN=2048
CONFIG_ARCH_WANT_FRAME_POINTERS=y
CONFIG_FRAME_POINTER=y

Please take a look at my kernel options, have you got the same?

In additional, when I executed Xorg -config xorg.conf.new
I got this:
Code:

Loading extension GLX
(EE) module ABI major version (14) doesn't match the server's version (15)
(EE) module ABI major version (14) doesn't match the server's version (15)
(EE) module ABI major version (14) doesn't match the server's version (15)
(EE) module ABI major version (14) doesn't match the server's version (15)
(EE)
Fatal server error:
(EE) no screens found(EE)
Back to top
View user's profile Send private message
afx44
n00b
n00b


Joined: 18 Mar 2014
Posts: 18

PostPosted: Wed Mar 19, 2014 10:09 am    Post subject: Reply with quote

del
Back to top
View user's profile Send private message
afx44
n00b
n00b


Joined: 18 Mar 2014
Posts: 18

PostPosted: Fri Mar 21, 2014 9:28 am    Post subject: Reply with quote

up
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1387

PostPosted: Fri Mar 21, 2014 10:31 am    Post subject: Re: nouveau, NVRM: No NVIDIA graphics adapter probed! Reply with quote

afx44 wrote:
Code:

CFLAGS="-O2 -march=i686 -pipe"
CXXFLAGS="${CFLAGS}"
CHOST="i486-pc-linux-gnu"
USE="bindist python xa libkms hal X tools qt3support gbm video_cards_vmware video_cards_radeon"
What's wrong? Thank you

CHOST="i686-pc-linux-gnu"
_________________
the thread ain't easily find an end
Back to top
View user's profile Send private message
afx44
n00b
n00b


Joined: 18 Mar 2014
Posts: 18

PostPosted: Fri Mar 21, 2014 11:06 am    Post subject: Reply with quote

Yes, I saw this, CHOST was updated to i686, the trouble still have not been solved
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1387

PostPosted: Fri Mar 21, 2014 11:22 am    Post subject: Reply with quote

afx44 wrote:
Yes, I saw this, CHOST was updated to i686, the trouble still have not been solved
After recompile, not just looking at ?
_________________
the thread ain't easily find an end
Back to top
View user's profile Send private message
afx44
n00b
n00b


Joined: 18 Mar 2014
Posts: 18

PostPosted: Fri Mar 21, 2014 11:33 am    Post subject: Reply with quote

Quote:
After recompile, not just looking at ?

I did all following this:
https://wiki.gentoo.org/wiki/Changing_the_CHOST_variable
In additional i deleted nvidia.ko from kernel sources and this message was removed:
dmesg
Code:
[ 2384.985651] NVRM: No NVIDIA graphics adapter probed!

But all the rest problems still exist.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7167

PostPosted: Fri Mar 21, 2014 10:42 pm    Post subject: Reply with quote

At first, you must get clearer to what you are trying to get : nouveau OR nvidia-drivers blob.

Second, i know you think you don't have both, but contrary to your thinking we have proof it's not :
Code:
01:00.0 VGA compatible controller: NVIDIA Corporation G73 [GeForce 7600 GT] (rev a1)
        Kernel driver in use: nouveau
        Kernel modules: nvidia

and
Code:
 NVRM: The NVIDIA probe routine was not called for 1 device(s).
[ 2384.985645] NVRM: This can occur when a driver such as nouveau, rivafb
...

NVRM is the little name of the nvidia driver, if NVRM is speaking to you, it's because NVRM is in use, if NVRM is in use, it's because you have nvidia-driver.

There's way to have nvidia-driver but not nvidia-driver install (in a portage way) : installing it manually, or install it and remove it, because the driver is built, i think there's no reference to it inside the package itself, so if you remove the package, that file won't get removed as portage doesn't know this one exists.
Back to top
View user's profile Send private message
Mistwolf
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2007
Posts: 126
Location: Edmonton, AB

PostPosted: Sat Mar 22, 2014 2:13 am    Post subject: Reply with quote

Check your Xorg.conf (Xorg,conf.new?) file. In the Device section, what is the driver set to? Nvidia or nouveau? Should be nouveau.

If it is set to nvidia, it will try to load the nvidia module and fail, which is why lsmod shows no nvidia driver.

To ensure there is no Nvidia module, run:
Code:
updatedb && locate nvidia.ko

(updatedb will re-index the files, in case there are changes since the last time it was run).

That will return the location of the nvidia module. In my system, it returns nothing.
Back to top
View user's profile Send private message
afx44
n00b
n00b


Joined: 18 Mar 2014
Posts: 18

PostPosted: Mon Mar 24, 2014 8:20 am    Post subject: Reply with quote

Thank you for answers, but i decided to switch into nvidia driver. It looks like ok now, but i can't compile boost for kde, but this is for another topic.
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1387

PostPosted: Mon Mar 24, 2014 10:04 am    Post subject: Reply with quote

Flip to Gentoo~unstable
and your problems gone.
It is quite stable here :)
_________________
the thread ain't easily find an end
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5914

PostPosted: Sat Mar 29, 2014 7:07 pm    Post subject: Reply with quote

Try booting a more modern kernel. 3.8 isn't even in the tree any more.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7167

PostPosted: Sat Mar 29, 2014 8:33 pm    Post subject: Reply with quote

ulenrich wrote:
Flip to Gentoo~unstable
and your problems gone.
It is quite stable here :)

:arrow: :arrow:
afx44 wrote:
/etc/portage/make.conf
Code:
Code:

....
ACCEPT_KEYWORDS="~x86"
Back to top
View user's profile Send private message
christoph_peter_s
Tux's lil' helper
Tux's lil' helper


Joined: 30 Nov 2015
Posts: 82

PostPosted: Tue Dec 01, 2015 8:30 am    Post subject: Reply with quote

I had the same problem. Remnants from my desperate attempts to got xfce working...
The solution:
- locate and delete the kernel module nvidia.ko
- make clean prior to recompile the kernel.
But in retrospect, fixing this was OK, but it was not the root of my issues with lightdm & xfce.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum